//
// Created by Иван_Архипов on 24.11.2017.
//

#ifndef LOTRO_DAT_LIBRARY_FONTSUBFILE_H
#define LOTRO_DAT_LIBRARY_FONTSUBFILE_H


#include "../SubFile.h"

namespace LOTRO_DAT {
    class FontSubFile : public SubFile {
    public:
        FontSubFile() = delete;
        explicit FontSubFile(const FontSubFile &other) = delete;
        FontSubFile &operator =(const FontSubFile &other) = delete;

        explicit FontSubFile(SubFile preinit_file);

        FILE_TYPE FileType() const override;

        std::string Extension() const override;

        SubfileData PrepareForExport(const BinaryData &file_data) override;

        BinaryData MakeForImport(const BinaryData &old_data, const SubfileData &data) override;

    };
};



#endif //LOTRO_DAT_LIBRARY_FONTSUBFILE_H
